
Network Tools - Bug #2208

Ping indicates host is live when it is not (Windows)

02/14/2018 08:07 PM - Luke Murphey

Status: Closed Start date: 02/14/2018

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.4   

Description

Try pinging an unreachable host from the uptime monitoring dashboard and the ping dashboard. It acts like they are up.

The

Pinging att.com [144.160.36.42] with 32 bytes of data:

Reply from 144.160.36.42: Destination port unreachable.

Reply from 144.160.36.42: Destination port unreachable.

Reply from 144.160.36.42: Destination port unreachable.

Reply from 144.160.36.42: Destination port unreachable.

Ping statistics for 144.160.36.42:

    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

Related issues:

Related to Network Tools - Bug #1903: Ping on Wake-on-LAN page indicates host... Closed 06/29/2017

Related to Network Tools - Bug #1714: Traceroute doesn't work on Windows Closed 02/01/2017

Associated revisions

Revision 262 - 04/25/2018 05:25 PM - lukemurphey

Added handling of output when Windows indicates no packet loss but no packets could be sent

Reference #2208

History

#1 - 02/14/2018 08:07 PM - Luke Murphey

- Related to Bug #1903: Ping on Wake-on-LAN page indicates host is live when it is not (Windows) added

#2 - 02/14/2018 08:07 PM - Luke Murphey

- Related to Bug #1714: Traceroute doesn't work on Windows added

#3 - 04/25/2018 05:48 AM - Luke Murphey

See test_windows_parse_host_unreachable in unit.py. I already test for this.

#4 - 04/25/2018 05:26 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
